<RESOURCE_PROFILE>
	<HEADER>
		<RESOURCE_IDENTIFIER value="19ed5682-653e-4979-9525-46c9af44e7e9_V29ya2Zsb3dEU1Jlc291cmNlcy9Xb3JrZmxvd0RTUmVzb3VyY2VUeXBl"/>
		<RESOURCE_TYPE value="WorkflowDSResourceType"/>
		<RESOURCE_KIND value="WorkflowDSResources"/>
		<RESOURCE_URI value=""/>
		<DATE_OF_CREATION value="2018-01-12T17:33:32+01:00"/>
	</HEADER>
	<BODY>
		<WORKFLOW_NAME menuSection="InfoSpace Consistency">Update DS and TDS for Clarin</WORKFLOW_NAME>
		<WORKFLOW_DESCRIPTION>Update DS and TDS for Clarin</WORKFLOW_DESCRIPTION>
		<WORKFLOW_INFO/>
		<WORKFLOW_FAMILY>Consistency</WORKFLOW_FAMILY>
		<WORKFLOW_PRIORITY>30</WORKFLOW_PRIORITY>
		<CONFIGURATION start="MANUAL" status="EXECUTABLE">
			<PARAMETERS>
				<PARAM description="Path to a local folder containing the subfolders with Clarin mapping files" managedBy="user" name="folderPath" required="true" type="string">/var/lib/ariadneplus-data/clarin/ariadneplus_mapping-development/batch/x3ml-mappings</PARAM>
				<PARAM description="Input file baseUrl" managedBy="user" name="inputBaseUrlPrefix" required="true" type="string">file:///var/lib/dnet/data/ariadneplus/clarin/results/cmdi</PARAM>
				<PARAM description="Path to the metadata identifier in input files" managedBy="user" name="metadataIdentifierPath" required="true" type="string">//*[local-name()="MdSelfLink"]</PARAM>
				<PARAM description="Clarin DS profile ID" managedBy="user" name="clarinDatasourceProfileID" required="true" type="string">18b60922-44a4-4c0d-ab24-4b9835186a0a_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU=</PARAM>
				<PARAM description="Clarin DS original ID" managedBy="user" name="clarinDatasourceOriginalId" required="true" type="string">ariadneplus___::clarin</PARAM>
			</PARAMETERS>
			<WORKFLOW>
				<NODE isStart="true" name="ClarinAPIGenerator" type="ClarinAPIGenerator">
					<DESCRIPTION>Update DS and TDS for Clarin</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="folderPath" ref="folderPath"/>
						<PARAM name="inputBaseUrlPrefix" ref="inputBaseUrlPrefix"/>
						<PARAM name="metadataIdentifierPath" ref="metadataIdentifierPath"/>
						<PARAM name="clarinDatasourceProfileID" ref="clarinDatasourceProfileID"/>
						<PARAM name="clarinDatasourceOriginalId" ref="clarinDatasourceOriginalId"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="success"/>
					</ARCS>
				</NODE>
			</WORKFLOW>
		</CONFIGURATION>
		<NOTIFICATIONS/>
		<SCHEDULING enabled="false">
			<CRON>29 5 22 ? * *</CRON>
			<MININTERVAL>10080</MININTERVAL>
		</SCHEDULING>
		<STATUS/>
	</BODY>
</RESOURCE_PROFILE>